<?xml version="1.0" encoding="ISO-8859-1"?>
<ClassTemplate>
<Body>
<![CDATA[
<script language="vb" runat="server">
Public Class %%ClassName%%
    Inherits WebFoundations.WFForms.Toolbox.Entity.Facade
    Sub New()
        Me.Adapter = New WebFoundations.WFForms.Toolbox.Entity.Adapter("WFForms", GetType(%%ClassValueObject%%))
    End Sub
    Public Shadows Function Save(ByVal Value As %%ClassValueObject%%) As %%ClassValueObject%%
        Return (MyBase.Save(Value))
    End Function
    Public Shadows Function DeleteByPK(ByVal Value As %%ClassValueObject%%) As Boolean
        Return (MyBase.DeleteByPK(Value))
    End Function
    Public Shadows Function GetByPk(ByVal Value As %%ClassValueObject%%) As %%ClassValueObject%%
        Return (MyBase.GetByPK(Value))
    End Function
    Public Shadows Function List() As WebFoundations.WFForms.Toolbox.Entity.ValueObjectList
        Return (Me.Adapter.List())
    End Function
    Public Function CloneValueObject() As %%ClassValueObject%%
        Return (Me.Adapter.CloneValueObject())
    End Function
    Public Shadows Function ListByFormParentID(ByVal ParentGUID As String) As WebFoundations.WFForms.Toolbox.Entity.ValueObjectList
		Return (Me.Adapter.ListByFormParentID(ParentGUID))
    End Function    
End Class
</script>
]]>
</Body>
</ClassTemplate>